<?php

/**
 * @copyright	Copyright (C) 2015 Cedric KEIFLIN alias ced1870
 * https://www.joomlack.fr
 * https://www.template-creator.com
 * Module Custom Parallax CK
 * @license		GNU/GPL
 * */

// no direct access
defined('_JEXEC') or die;
jimport('joomla.filesystem.file');

class ModCustomparallaxckHelper {

	static $modulesList;

	/**
	 * Render the module
	 *
	 * @param Int $moduleid The module ID to load
	 * @param JRegistry $params
	 *
	 * @return string with HTML
	 */
	static function getModuleById($moduleid, $params) {
		$attribs['style'] = 'none';
		$modulesList = self::getModulesList();
		// get the title of the module to load
		$modtitle = $modulesList[$moduleid]->title;
		$modname = $modulesList[$moduleid]->module;

		// load the module
		if (JModuleHelper::isEnabled($modname)) {
			$module = JModuleHelper::getModule($modname, $modtitle);
			return JModuleHelper::renderModule($module, $attribs);
		}
		
		return 'Module ID=' . $moduleid . ' not found !';
	}

	/**
	 * Create the list of all modules published as Object
	 *
	 * @return Array of Objects
	 */
	private static function getModulesList() {
		if (empty(self::$modulesList)) {
			$db = JFactory::getDBO();
			$query = "
				SELECT *
				FROM #__modules
				WHERE published=1
				AND client_id=0
				ORDER BY id
				;";
			$db->setQuery($query);
			self::$modulesList = $db->loadObjectList('id');
		}
		return self::$modulesList;
	}

	/**
	 * Test if there is already a unit, else add the px
	 *
	 * @param string $value
	 * @return string
	 */
	static function testUnit($value) {
		if ((stristr($value, 'px')) OR (stristr($value, 'em')) OR (stristr($value, '%')) OR (stristr($value, 'auto')) ) {
			return $value;
		}

		if ($value == '') {
			$value = 0;
		}

		return $value . 'px';
	}
}